package com.yc.ship.module.trade.framework.common.ota.qunaer;
/**
 * @Title: Request.java
 * @Package: com.wisesoft.scenic.qunar.vo
 * &#064;Description: TODO
 * @author: zhoulonggui
 * @date: 2017年5月26日 下午2:24:51
 * @version: V1.0
 */
public class QunarResponseHeader {
	/*<application>Qunar.Menpiao.Agent</application>
	  <processor>SupplierDataExchangeProcessor</processor>
	  <version>v2.0.0</version>
	  <bodyType>CreateOrderForBeforePaySyncRequestBody</bodyType>
	  <createUser>Qunar.Menpiao.Agent</createUser>
	  <createTime>2017-05-23 11:13:08</createTime>
	  <supplierIdentity>XXXXXXX</supplierIdentity>*/
	private String application;
	private String processor;
	private String version;
	private String bodyType;
	private String createUser;
	private String createTime;
	private String code;
	private String describe;
	
	public QunarResponseHeader() {
		super();
	}
	public QunarResponseHeader(String application, String processor,
                               String version, String bodyType, String createUser,
                               String createTime, String code, String describe) {
		super();
		this.application = application;
		this.processor = processor;
		this.version = version;
		this.bodyType = bodyType + "ResponseBody";
		this.createUser = createUser;
		this.createTime = createTime;
		this.code = code;
		this.describe = describe;
	}
	public String getApplication() {
		return application;
	}
	public void setApplication(String application) {
		this.application = application;
	}
	public String getProcessor() {
		return processor;
	}
	public void setProcessor(String processor) {
		this.processor = processor;
	}
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public String getBodyType() {
		return bodyType;
	}
	public void setBodyType(String bodyType) {
		this.bodyType = bodyType;
	}
	public String getCreateUser() {
		return createUser;
	}
	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getDescribe() {
		return describe;
	}
	public void setDescribe(String describe) {
		this.describe = describe;
	}
	@Override
	public String toString() {
		return "QunarResponseHeader [application=" + application
				+ ", processor=" + processor + ", version=" + version
				+ ", bodyType=" + bodyType + ", createUser=" + createUser
				+ ", createTime=" + createTime + ", code=" + code
				+ ", describe=" + describe + "]";
	}
}
